Package com.emc.d2fs.models.taxonomy_operation

# Class Taxonomy

java.lang.Object
com.emc.d2fs.models.taxonomy_operation.Taxonomy

All Implemented Interfaces:
  `Serializable`

public class Taxonomy extends Object implements Serializable

Java class for taxonomy complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="taxonomy">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="applications" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
             <element name="level_info" type="{http://www.emc.com/d2fs/models/taxonomy_operation}taxonomy_info" maxOccurs="unbounded"/>
             <element name="taxnomy_nodes" type="{http://www.emc.com/d2fs/models/taxonomy_operation}taxonomy_node" maxOccurs="unbounded"/>
           </sequence>
           <attribute name="security_group" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="lock_config" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="object_name" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="title" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="type" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="is_versioned" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="total_levels" type="{http://www.w3.org/2001/XMLSchema}int" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Taxonomy()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getApplications()`
  Gets the value of the applications property.
  `String`
  `getId()`
  Gets the value of the id property.
  `List<TaxonomyInfo>`
  `getLevelInfo()`
  Gets the value of the levelInfo property.
  `String`
  `getLockConfig()`
  Gets the value of the lockConfig property.
  `String`
  `getObjectName()`
  Gets the value of the objectName property.
  `String`
  `getSecurityGroup()`
  Gets the value of the securityGroup property.
  `List<TaxonomyNode>`
  `getTaxnomyNodes()`
  Gets the value of the taxnomyNodes property.
  `String`
  `getTitle()`
  Gets the value of the title property.
  `Integer`
  `getTotalLevels()`
  Gets the value of the totalLevels property.
  `String`
  `getType()`
  Gets the value of the type property.
  `Boolean`
  `isIsVersioned()`
  Gets the value of the isVersioned property.
  `void`
  `setId(String value)`
  Sets the value of the id property.
  `void`
  `setIsVersioned(Boolean value)`
  Sets the value of the isVersioned property.
  `void`
  `setLockConfig(String value)`
  Sets the value of the lockConfig property.
  `void`
  `setObjectName(String value)`
  Sets the value of the objectName property.
  `void`
  `setSecurityGroup(String value)`
  Sets the value of the securityGroup property.
  `void`
  `setTitle(String value)`
  Sets the value of the title property.
  `void`
  `setTotalLevels(Integer value)`
  Sets the value of the totalLevels property.
  `void`
  `setType(String value)`
  Sets the value of the type property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Taxonomy

    public Taxonomy()

- ## Method Details

  - ### getApplications

    public List<String> getApplications()
    Gets the value of the applications property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the applications property.

    For example, to add a new item, do as follows:

            getApplications().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

  - ### getLevelInfo

    public List<TaxonomyInfo> getLevelInfo()
    Gets the value of the levelInfo property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the levelInfo property.

    For example, to add a new item, do as follows:

            getLevelInfo().add(newItem);

    Objects of the following type(s) are allowed in the list `TaxonomyInfo`

  - ### getTaxnomyNodes

    public List<TaxonomyNode> getTaxnomyNodes()
    Gets the value of the taxnomyNodes property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the taxnomyNodes property.

    For example, to add a new item, do as follows:

            getTaxnomyNodes().add(newItem);

    Objects of the following type(s) are allowed in the list `TaxonomyNode`

  - ### getSecurityGroup

    public String getSecurityGroup()
    Gets the value of the securityGroup property.
    Returns:
      possible object is `String`

  - ### setSecurityGroup

    public void setSecurityGroup(String value)
    Sets the value of the securityGroup property.
    Parameters:
      `value` - allowed object is `String`

  - ### getLockConfig

    public String getLockConfig()
    Gets the value of the lockConfig property.
    Returns:
      possible object is `String`

  - ### setLockConfig

    public void setLockConfig(String value)
    Sets the value of the lockConfig property.
    Parameters:
      `value` - allowed object is `String`

  - ### getId

    public String getId()
    Gets the value of the id property.
    Returns:
      possible object is `String`

  - ### setId

    public void setId(String value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `String`

  - ### getObjectName

    public String getObjectName()
    Gets the value of the objectName property.
    Returns:
      possible object is `String`

  - ### setObjectName

    public void setObjectName(String value)
    Sets the value of the objectName property.
    Parameters:
      `value` - allowed object is `String`

  - ### getTitle

    public String getTitle()
    Gets the value of the title property.
    Returns:
      possible object is `String`

  - ### setTitle

    public void setTitle(String value)
    Sets the value of the title property.
    Parameters:
      `value` - allowed object is `String`

  - ### getType

    public String getType()
    Gets the value of the type property.
    Returns:
      possible object is `String`

  - ### setType

    public void setType(String value)
    Sets the value of the type property.
    Parameters:
      `value` - allowed object is `String`

  - ### isIsVersioned

    public Boolean isIsVersioned()
    Gets the value of the isVersioned property.
    Returns:
      possible object is `Boolean`

  - ### setIsVersioned

    public void setIsVersioned(Boolean value)
    Sets the value of the isVersioned property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### getTotalLevels

    public Integer getTotalLevels()
    Gets the value of the totalLevels property.
    Returns:
      possible object is `Integer`

  - ### setTotalLevels

    public void setTotalLevels(Integer value)
    Sets the value of the totalLevels property.
    Parameters:
      `value` - allowed object is `Integer`